Bug 11527 - apt-get не возвращает код ошибки
Summary: apt-get не возвращает код ошибки
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: apt (show other bugs)
Version: unstable
Hardware: all Linux
: P2 critical
Assignee: Gleb F-Malinovskiy
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on:
Blocks: 11526
  Show dependency tree
 
Reported: 2007-04-17 10:23 MSD by Anton Farygin
Modified: 2008-03-01 14:57 MSK (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Farygin 2007-04-17 10:23:53 MSD
В случае ошибочной транзакции apt-get не возвращает код ошибки:
# apt-get dist-upgrade
Reading Package Lists... Done
Building Dependency Tree... Done
Calculating Upgrade... Done
The following packages will be upgraded
  dev
1 upgraded, 0 newly installed, 0 removed and 0 not upgraded.
Need to get 0B/1134kB of archives.
After unpacking 0B of additional disk space will be used.
Do you want to continue? [Y/n] 
Committing changes...
Preparing...                          
###################################################################################################
[100%]
** Cannot install dev package: mounted udev detected.
** This is no problem, but to avoid side-effects with
** stopping and starting it automatically, please do:
service udevd umount
apt-get install dev
service udevd start
** Note that some services like syslogd might need
** restart after this, too.
error: execution of %pre scriptlet from dev-3.3.1-alt18 failed, exit status 1
error:   install: %pre scriptlet failed (2), skipping dev-3.3.1-alt18
W: Some errors occurred while running transaction
# echo $?
0
Comment 1 inger@altlinux.org 2007-04-17 10:25:39 MSD
Соотв. все честные программы, которые надеются на код ошибки, типа alterator-apt
не выдают никакой диагностики.
Comment 2 at@altlinux.org 2007-04-19 01:34:50 MSD
Fixed in 0.5.15lorg2-alt11-1-g50c8f02.
Comment 3 Slava Semushin 2007-08-01 16:50:52 MSD
Mark as FIXED